#property indicator_chart_window
#property indicator_buffers 2
#property indicator_color1  DeepSkyBlue
#property indicator_color2  PaleVioletRed

//
//
//
//
//

extern int TimeFrame = 0;
extern int HighPrice = PRICE_HIGH;
extern int LowPrice  = PRICE_LOW;

double priceHi[];
double priceLo[];

//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
//
//
//
//
//

int init()
{
   SetIndexBuffer(0, priceHi); 
   SetIndexBuffer(1, priceLo); 
      TimeFrame = MathMax(TimeFrame,Period());
   return(0);
}
int deinit()
{
   return(0);
}
//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
//
//
//
//
//

int start()
{
   int counted_bars=IndicatorCounted();
      if(counted_bars<0) return(-1);
      if(counted_bars>0) counted_bars--;
         int limit = MathMax(MathMin(Bars-counted_bars,Bars-1),2*TimeFrame/Period());
         
   //
   //
   //
   //
   //

   for(int i=limit; i>=0; i--)
   {
      int y = iBarShift(NULL,TimeFrame,Time[i]);
      priceHi[i] = iMA(NULL,TimeFrame,1,0,MODE_SMA,HighPrice,y);
      priceLo[i] = iMA(NULL,TimeFrame,1,0,MODE_SMA,LowPrice ,y);
   }
   return(0);
}